madkit.i18n

## Enum Words

- java.lang.Object
- - java.lang.Enum<Words>
  - - madkit.i18n.Words

- All Implemented Interfaces:
    Serializable, Comparable<Words>

      public enum Words
      extends Enum<Words>

  Enum containing key for some useful words
  Author:
    Fabien Michel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT`
    `COMMUNITY`
    `CREATED`
    `DIRECTORY`
    `DISPLAY`
    `ENTERING`
    `EXITING`
    `FAILED`
    `GROUP`
    `HELP`
    `INITIAL_CONFIG`
    `LAST_AVAILABLE`
    `LAUNCH`
    `MAS`
    `NEW_MSG`
    `PAUSE`
    `RELOAD`
    `ROLE`
    `TERMINATED`
    `TUTORIALS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Words` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Words[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final Words FAILED

    - #### COMMUNITY

          public static final Words COMMUNITY

    - #### GROUP

          public static final Words GROUP

    - #### ROLE

          public static final Words ROLE

    - #### LAUNCH

          public static final Words LAUNCH

    - #### ENTERING

          public static final Words ENTERING

    - #### EXITING

          public static final Words EXITING

    - #### TERMINATED

          public static final Words TERMINATED

    - #### INITIAL_CONFIG

          public static final Words INITIAL_CONFIG

    - #### RELOAD

          public static final Words RELOAD

    - #### DIRECTORY

          public static final Words DIRECTORY

    - #### MAS

          public static final Words MAS

    - #### PAUSE

          public static final Words PAUSE

    - #### NEW_MSG

          public static final Words NEW_MSG

    - #### ABOUT

          public static final Words ABOUT

    - #### HELP

          public static final Words HELP

    - #### TUTORIALS

          public static final Words TUTORIALS

    - #### LAST_AVAILABLE

          public static final Words LAST_AVAILABLE

    - #### CREATED

          public static final Words CREATED

    - #### DISPLAY

          public static final Words DISPLAY

  - ### Method Detail

    - #### values

          public static Words[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Words c : Words.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Words valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Words>`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020